Add default refspec reference
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-maven-maven-release-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <jdk>openjdk8</jdk>
4   <actions/>
5   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
6   <keepDependencies>false</keepDependencies>
7   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
8   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
9   <concurrentBuild>false</concurrentBuild>
10   <assignedNode>build-vm</assignedNode>
11   <canRoam>false</canRoam>
12   <properties>
13     <jenkins.model.BuildDiscarderProperty>
14       <strategy class="hudson.tasks.LogRotator">
15         <daysToKeep>30</daysToKeep>
16         <numToKeep>-1</numToKeep>
17         <artifactDaysToKeep>-1</artifactDaysToKeep>
18         <artifactNumToKeep>0</artifactNumToKeep>
19       </strategy>
20     </jenkins.model.BuildDiscarderProperty>
21     <hudson.model.ParametersDefinitionProperty>
22       <parameterDefinitions>
23         <hudson.model.StringParameterDefinition>
24           <name>PROJECT</name>
25           <description>Parameter to identify a Gerrit project. This is typically the
26 project repo path as exists in Gerrit.
27 For example: ofextensions/circuitsw
28 </description>
29           <defaultValue>releng/ciman</defaultValue>
30         </hudson.model.StringParameterDefinition>
31         <hudson.model.StringParameterDefinition>
32           <name>STREAM</name>
33           <description>Stream is often set to the same name as 'branch' but can
34 sometimes be used as a name representing a project's release code
35 name.
36 </description>
37           <defaultValue>master</defaultValue>
38         </hudson.model.StringParameterDefinition>
39         <hudson.model.StringParameterDefinition>
40           <name>GERRIT_PROJECT</name>
41           <description>Parameter to identify Gerrit project. This is typically the
42 project repo path as exists in Gerrit.
43 For example: ofextensions/circuitsw
44
45 Note that Gerrit will override this parameter automatically if a
46 job is triggered by Gerrit.
47 </description>
48           <defaultValue>releng/ciman</defaultValue>
49         </hudson.model.StringParameterDefinition>
50         <hudson.model.StringParameterDefinition>
51           <name>GERRIT_BRANCH</name>
52           <description>Parameter to identify a Gerrit branch.
53
54 Note that Gerrit will override this parameter automatically if a
55 job is triggered by Gerrit.
56 </description>
57           <defaultValue>master</defaultValue>
58         </hudson.model.StringParameterDefinition>
59         <hudson.model.StringParameterDefinition>
60           <name>GERRIT_REFSPEC</name>
61           <description>Parameter to identify a refspec when pulling from Gerrit.
62
63 Note that Gerrit will override this parameter automatically if a
64 job is triggered by Gerrit.
65 </description>
66           <defaultValue>refs/heads/master</defaultValue>
67         </hudson.model.StringParameterDefinition>
68         <hudson.model.StringParameterDefinition>
69           <name>MAVEN_OPTS</name>
70           <description>Maven Java opts. Example: -Xmx1024m -XX:MaxPermSize=256m
71 </description>
72           <defaultValue/>
73         </hudson.model.StringParameterDefinition>
74         <hudson.model.StringParameterDefinition>
75           <name>MAVEN_PARAMS</name>
76           <description>Maven parameters to pass to the mvn command.
77 </description>
78           <defaultValue/>
79         </hudson.model.StringParameterDefinition>
80         <hudson.model.StringParameterDefinition>
81           <name>MVN</name>
82           <description>Maven selector to be used by shell scripts</description>
83           <defaultValue>/w/tools/hudson.tasks.Maven_MavenInstallation/mvn33/bin/mvn</defaultValue>
84         </hudson.model.StringParameterDefinition>
85         <hudson.model.StringParameterDefinition>
86           <name>STAGING_PROFILE_ID</name>
87           <description>Nexus staging profile ID.
88 </description>
89           <defaultValue>uuddlrlrba</defaultValue>
90         </hudson.model.StringParameterDefinition>
91       </parameterDefinitions>
92     </hudson.model.ParametersDefinitionProperty>
93   </properties>
94   <scm class="hudson.plugins.git.GitSCM">
95     <configVersion>2</configVersion>
96     <userRemoteConfigs>
97       <hudson.plugins.git.UserRemoteConfig>
98         <name>origin</name>
99         <refspec>$GERRIT_REFSPEC</refspec>
100         <url>$GIT_URL/$PROJECT</url>
101         <credentialsId>test-credential</credentialsId>
102       </hudson.plugins.git.UserRemoteConfig>
103     </userRemoteConfigs>
104     <branches>
105       <hudson.plugins.git.BranchSpec>
106         <name>refs/heads/$GERRIT_BRANCH</name>
107       </hudson.plugins.git.BranchSpec>
108     </branches>
109     <excludedUsers/>
110     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
111     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
112     <authorOrCommitter>false</authorOrCommitter>
113     <wipeOutWorkspace>true</wipeOutWorkspace>
114     <pruneBranches>false</pruneBranches>
115     <remotePoll>false</remotePoll>
116     <gitTool>Default</gitTool>
117     <submoduleCfg class="list"/>
118     <relativeTargetDir/>
119     <reference/>
120     <gitConfigName/>
121     <gitConfigEmail/>
122     <skipTag>true</skipTag>
123     <scmName/>
124     <useShallowClone>false</useShallowClone>
125     <ignoreNotifyCommit>false</ignoreNotifyCommit>
126     <extensions>
127       <hudson.plugins.git.extensions.impl.SubmoduleOption>
128         <disableSubmodules>false</disableSubmodules>
129         <recursiveSubmodules>true</recursiveSubmodules>
130         <trackingSubmodules>false</trackingSubmodules>
131         <reference/>
132         <timeout>10</timeout>
133       </hudson.plugins.git.extensions.impl.SubmoduleOption>
134       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
135     </extensions>
136   </scm>
137   <builders>
138     <hudson.tasks.Shell>
139       <command>mkdir -p $WORKSPACE/target/classes $WORKSPACE/jacoco/classes</command>
140     </hudson.tasks.Shell>
141     <hudson.tasks.Shell>
142       <command>echo &quot;quiet=on&quot; &gt; &quot;$HOME/.wgetrc&quot;</command>
143     </hudson.tasks.Shell>
144     <hudson.tasks.Maven>
145       <targets>--version</targets>
146       <properties/>
147       <mavenName>mvn33</mavenName>
148       <usePrivateRepository>false</usePrivateRepository>
149       <settings class="jenkins.mvn.DefaultSettingsProvider"/>
150       <globalSettings class="jenkins.mvn.DefaultGlobalSettingsProvider"/>
151     </hudson.tasks.Maven>
152     <hudson.tasks.Shell>
153       <command>rm &quot;$HOME/.wgetrc&quot;</command>
154     </hudson.tasks.Shell>
155     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
156       <managedFiles>
157         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
158           <fileId>global-settings</fileId>
159           <targetLocation/>
160           <variable>GLOBAL_SETTINGS_FILE</variable>
161         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
162         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
163           <fileId>gerrit-maven-project-settings</fileId>
164           <targetLocation/>
165           <variable>SETTINGS_FILE</variable>
166         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
167       </managedFiles>
168     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
169     <EnvInjectBuilder>
170       <info>
171         <propertiesContent>SERVER_ID=opendaylight-staging</propertiesContent>
172       </info>
173     </EnvInjectBuilder>
174     <hudson.tasks.Shell>
175       <command>#!/bin/bash
176 # SPDX-License-Identifier: EPL-1.0
177 ##############################################################################
178 # Copyright (c) 2017 The Linux Foundation and others.
179 #
180 # All rights reserved. This program and the accompanying materials
181 # are made available under the terms of the Eclipse Public License v1.0
182 # which accompanies this distribution, and is available at
183 # http://www.eclipse.org/legal/epl-v10.html
184 ##############################################################################
185 echo &quot;---&gt; create-netrc.sh&quot;
186
187 # Ensure we fail the job if any steps fail.
188 set -eu -o pipefail
189
190 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
191 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
192     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
193     -v x:username -o &quot;:&quot; -v x:password \
194     &quot;$SETTINGS_FILE&quot;)
195
196 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
197 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
198 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
199
200 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
201 </command>
202     </hudson.tasks.Shell>
203     <hudson.tasks.Shell>
204       <command>#!/bin/bash
205 # SPDX-License-Identifier: EPL-1.0
206 ##############################################################################
207 # Copyright (c) 2017 The Linux Foundation and others.
208 #
209 # All rights reserved. This program and the accompanying materials
210 # are made available under the terms of the Eclipse Public License v1.0
211 # which accompanies this distribution, and is available at
212 # http://www.eclipse.org/legal/epl-v10.html
213 ##############################################################################
214 echo &quot;---&gt; lftools-install.sh&quot;
215
216 # Ensure we fail the job if any steps fail.
217 # DO NOT set -u as virtualenv's activate script has unbound variables
218 set -e -o pipefail
219
220 virtualenv --quiet &quot;/tmp/v/lftools&quot;
221 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
222 source &quot;/tmp/v/lftools/bin/activate&quot;
223 pip install --quiet --upgrade pip
224 pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
225
226 # pipdeptree prints out a lot of information because lftools pulls in many
227 # dependencies. Let's only print it if we want to debug.
228 # echo &quot;----&gt; Pip Dependency Tree&quot;
229 # pip install --quiet --upgrade pipdeptree
230 # pipdeptree
231
232 #!/bin/bash
233 # SPDX-License-Identifier: EPL-1.0
234 ##############################################################################
235 # Copyright (c) 2017 The Linux Foundation and others.
236 #
237 # All rights reserved. This program and the accompanying materials
238 # are made available under the terms of the Eclipse Public License v1.0
239 # which accompanies this distribution, and is available at
240 # http://www.eclipse.org/legal/epl-v10.html
241 ##############################################################################
242
243 # This file contains a list of variables that are generally useful in many
244 # scripts. It is meant to be sourced in other scripts so that the variables can
245 # be called.
246
247 MAVEN_OPTIONS=&quot;$(echo --show-version \
248     --batch-mode \
249     -Djenkins \
250     -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn \
251     -Dmaven.repo.local=/tmp/r \
252     -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r)&quot;
253 echo &quot;$MAVEN_OPTIONS&quot;
254
255 #!/bin/bash
256 # SPDX-License-Identifier: EPL-1.0
257 ##############################################################################
258 # Copyright (c) 2017 The Linux Foundation and others.
259 #
260 # All rights reserved. This program and the accompanying materials
261 # are made available under the terms of the Eclipse Public License v1.0
262 # which accompanies this distribution, and is available at
263 # http://www.eclipse.org/legal/epl-v10.html
264 ##############################################################################
265
266 # This script removes the -SNAPSHOT from a project to prepare it for release.
267
268 PATCH_DIR=&quot;$WORKSPACE/archives/patches&quot;
269 mkdir -p &quot;$PATCH_DIR&quot;
270
271 # Ensure we fail the job if any steps fail.
272 set -eu -o pipefail
273
274 echo &quot;$PROJECT&quot; &quot;$(git rev-parse --verify HEAD)&quot; | tee -a &quot;$PATCH_DIR/taglist.log&quot;
275
276 # Strip -SNAPSHOT from version to prepare release.
277 find . -name &quot;*.xml&quot; -print0 | xargs -0 sed -i 's/-SNAPSHOT//g'
278
279 git commit -am &quot;Release $PROJECT&quot;
280 git format-patch --stdout &quot;origin/$GERRIT_BRANCH&quot; &gt; &quot;$PATCH_DIR/${PROJECT//\//-}.patch&quot;
281 git bundle create &quot;$PATCH_DIR/${PROJECT//\//-}.bundle&quot; &quot;origin/${GERRIT_BRANCH}..HEAD&quot;
282
283 #!/bin/bash
284 # SPDX-License-Identifier: EPL-1.0
285 ##############################################################################
286 # Copyright (c) 2017 The Linux Foundation and others.
287 #
288 # All rights reserved. This program and the accompanying materials
289 # are made available under the terms of the Eclipse Public License v1.0
290 # which accompanies this distribution, and is available at
291 # http://www.eclipse.org/legal/epl-v10.html
292 ##############################################################################
293
294 # This script builds a Maven project and deploys it into a staging repo which
295 # can be used to deploy elsewhere later eg. Nexus staging / snapshot repos.
296
297 # DO NOT enable -u because $MAVEN_PARAMS and $MAVEN_OPTIONS could be unbound.
298 # Ensure we fail the job if any steps fail.
299 set -e -o pipefail
300 set +u
301
302 export MAVEN_OPTS
303
304 # Disable SC2086 because we want to allow word splitting for $MAVEN_* parameters.
305 # shellcheck disable=SC2086
306 $MVN clean deploy \
307     --global-settings &quot;$GLOBAL_SETTINGS_FILE&quot; \
308     --settings &quot;$SETTINGS_FILE&quot; \
309     -DaltDeploymentRepository=staging::default::file:&quot;$WORKSPACE&quot;/m2repo \
310     $MAVEN_PARAMS $MAVEN_OPTIONS
311
312 #!/bin/bash
313 # SPDX-License-Identifier: EPL-1.0
314 ##############################################################################
315 # Copyright (c) 2017 The Linux Foundation and others.
316 #
317 # All rights reserved. This program and the accompanying materials
318 # are made available under the terms of the Eclipse Public License v1.0
319 # which accompanies this distribution, and is available at
320 # http://www.eclipse.org/legal/epl-v10.html
321 ##############################################################################
322
323 # This script publishes artifacts to a staging repo in Nexus.
324 #
325 # $WORKSPACE/m2repo   :  Exists and used to deploy the staging repository.
326 # $NEXUS_URL          :  Jenkins global variable should be defined.
327 # $STAGING_PROFILE_ID :  Provided by a job parameter.
328
329 # Ensure we fail the job if any steps fail.
330 set -eu -o pipefail
331
332 TMP_FILE=&quot;$(mktemp)&quot;
333 lftools deploy nexus-stage &quot;$NEXUS_URL&quot; &quot;$STAGING_PROFILE_ID&quot; &quot;$WORKSPACE/m2repo&quot; | tee &quot;$TMP_FILE&quot;
334 staging_repo=$(sed -n -e 's/Staging repository \(.*\) created\./\1/p' &quot;$TMP_FILE&quot;)
335
336 # Store repo info to a file in archives
337 mkdir -p &quot;$WORKSPACE/archives&quot;
338 echo &quot;$staging_repo&quot; &gt; &quot;$WORKSPACE/archives/staging-repo.txt&quot;
339
340 # Cleanup
341 rm &quot;$TMP_FILE&quot;
342 </command>
343     </hudson.tasks.Shell>
344     <hudson.tasks.Shell>
345       <command>#!/bin/bash
346 set +e  # DO NOT cause build failure if any of the rm calls fail.
347
348 rm &quot;$GLOBAL_SETTINGS_FILE&quot; &quot;$SETTINGS_FILE&quot;
349
350 # In some cases we use the lf-provide-maven-settings macro to produce
351 # a &quot;$HOME/.netrc&quot; file containing credentials. Remove that file here
352 # too if it exists.
353 rm &quot;$HOME/.netrc&quot;
354
355 # DO NOT fail build if any of the above lines fail.
356 exit 0
357 </command>
358     </hudson.tasks.Shell>
359   </builders>
360   <publishers>
361     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
362       <buildSteps>
363         <hudson.tasks.Shell>
364           <command>#!/bin/bash
365 # SPDX-License-Identifier: EPL-1.0
366 ##############################################################################
367 # Copyright (c) 2017 The Linux Foundation and others.
368 #
369 # All rights reserved. This program and the accompanying materials
370 # are made available under the terms of the Eclipse Public License v1.0
371 # which accompanies this distribution, and is available at
372 # http://www.eclipse.org/legal/epl-v10.html
373 ##############################################################################
374 echo &quot;---&gt; sysstat.sh&quot;
375 set +e  # DON'T fail build if script fails.
376
377 OS=$(facter operatingsystem)
378 case &quot;$OS&quot; in
379     Ubuntu)
380         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
381
382         # Dont run the script when systat is not enabled by default
383         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
384             exit 0
385         fi
386     ;;
387     CentOS|RedHat)
388         SYSSTAT_PATH=&quot;/var/log/sa&quot;
389     ;;
390     *)
391         # nothing to do
392         exit 0
393     ;;
394 esac
395
396 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
397 mkdir -p &quot;$SAR_DIR&quot;
398 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
399 # convert sar data to ascii format
400 while IFS=&quot;&quot; read -r s
401 do
402     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
403 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
404
405 # DON'T fail build if script fails.
406 exit 0
407 </command>
408         </hudson.tasks.Shell>
409         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
410           <managedFiles>
411             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
412               <fileId>jenkins-log-archives-settings</fileId>
413               <targetLocation/>
414               <variable>SETTINGS_FILE</variable>
415             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
416           </managedFiles>
417         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
418         <EnvInjectBuilder>
419           <info>
420             <propertiesContent>SERVER_ID=logs</propertiesContent>
421           </info>
422         </EnvInjectBuilder>
423         <hudson.tasks.Shell>
424           <command>#!/bin/bash
425 # SPDX-License-Identifier: EPL-1.0
426 ##############################################################################
427 # Copyright (c) 2017 The Linux Foundation and others.
428 #
429 # All rights reserved. This program and the accompanying materials
430 # are made available under the terms of the Eclipse Public License v1.0
431 # which accompanies this distribution, and is available at
432 # http://www.eclipse.org/legal/epl-v10.html
433 ##############################################################################
434 echo &quot;---&gt; create-netrc.sh&quot;
435
436 # Ensure we fail the job if any steps fail.
437 set -eu -o pipefail
438
439 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
440 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
441     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
442     -v x:username -o &quot;:&quot; -v x:password \
443     &quot;$SETTINGS_FILE&quot;)
444
445 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
446 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
447 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
448
449 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
450 </command>
451         </hudson.tasks.Shell>
452         <hudson.tasks.Shell>
453           <command>#!/bin/bash
454 # SPDX-License-Identifier: EPL-1.0
455 ##############################################################################
456 # Copyright (c) 2017 The Linux Foundation and others.
457 #
458 # All rights reserved. This program and the accompanying materials
459 # are made available under the terms of the Eclipse Public License v1.0
460 # which accompanies this distribution, and is available at
461 # http://www.eclipse.org/legal/epl-v10.html
462 ##############################################################################
463 echo &quot;---&gt; lftools-install.sh&quot;
464
465 # Ensure we fail the job if any steps fail.
466 # DO NOT set -u as virtualenv's activate script has unbound variables
467 set -e -o pipefail
468
469 virtualenv --quiet &quot;/tmp/v/lftools&quot;
470 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
471 source &quot;/tmp/v/lftools/bin/activate&quot;
472 pip install --quiet --upgrade pip
473 pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
474
475 # pipdeptree prints out a lot of information because lftools pulls in many
476 # dependencies. Let's only print it if we want to debug.
477 # echo &quot;----&gt; Pip Dependency Tree&quot;
478 # pip install --quiet --upgrade pipdeptree
479 # pipdeptree
480
481 #!/bin/bash
482 # SPDX-License-Identifier: EPL-1.0
483 ##############################################################################
484 # Copyright (c) 2017 The Linux Foundation and others.
485 #
486 # All rights reserved. This program and the accompanying materials
487 # are made available under the terms of the Eclipse Public License v1.0
488 # which accompanies this distribution, and is available at
489 # http://www.eclipse.org/legal/epl-v10.html
490 ##############################################################################
491 echo &quot;---&gt; logs-deploy.sh&quot;
492
493 # Ensure we fail the job if any steps fail.
494 set -eu -o pipefail
495
496 set -x  # Trace commands for this script to make debugging easier.
497
498 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
499 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
500
501 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
502 then
503     set +x # Disable trace since we no longer need it
504
505     echo &quot;WARNING: Logging server not set&quot;
506 else
507     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
508     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
509     BUILD_URL=&quot;${BUILD_URL}&quot;
510
511     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
512     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
513
514     set +x  # Disable trace since we no longer need it.
515
516     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
517 fi
518 </command>
519         </hudson.tasks.Shell>
520         <hudson.tasks.Shell>
521           <command>#!/bin/bash
522 # SPDX-License-Identifier: EPL-1.0
523 ##############################################################################
524 # Copyright (c) 2017 The Linux Foundation and others.
525 #
526 # All rights reserved. This program and the accompanying materials
527 # are made available under the terms of the Eclipse Public License v1.0
528 # which accompanies this distribution, and is available at
529 # http://www.eclipse.org/legal/epl-v10.html
530 ##############################################################################
531
532 # Clear log credential files
533 rm &quot;$SETTINGS_FILE&quot;
534 rm ~/.netrc
535 </command>
536         </hudson.tasks.Shell>
537         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
538           <regexp>^Build logs: .*</regexp>
539         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
540       </buildSteps>
541       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
542       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
543       <markBuildUnstable>false</markBuildUnstable>
544     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
545     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
546       <patterns>
547         <hudson.plugins.ws__cleanup.Pattern>
548           <pattern>**/*.jenkins-trigger</pattern>
549           <type>EXCLUDE</type>
550         </hudson.plugins.ws__cleanup.Pattern>
551       </patterns>
552       <deleteDirs>false</deleteDirs>
553       <cleanupMatrixParent>false</cleanupMatrixParent>
554       <externalDelete/>
555       <cleanWhenSuccess>true</cleanWhenSuccess>
556       <cleanWhenUnstable>true</cleanWhenUnstable>
557       <cleanWhenFailure>true</cleanWhenFailure>
558       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
559       <cleanWhenAborted>true</cleanWhenAborted>
560       <notFailBuild>true</notFailBuild>
561     </hudson.plugins.ws__cleanup.WsCleanup>
562   </publishers>
563   <buildWrappers>
564     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
565     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
566       <timeoutMinutes>30</timeoutMinutes>
567       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
568       <failBuild>true</failBuild>
569       <writingDescription>false</writingDescription>
570       <timeoutPercentage>0</timeoutPercentage>
571       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
572       <timeoutType>absolute</timeoutType>
573     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
574     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
575     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
576       <user>test-credential</user>
577     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
578     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
579   </buildWrappers>
580 </project>